Subject: Re: [PATCH 1/6] reftable/system: provide `REFTABLE_INLINE()` macro

From: "brian m. carlson" <[email-masked]>
Date: Tue, 31 Mar 2026 22:08:17 +0000

On 2026-03-31 at 11:26:47, Patrick Steinhardt wrote:
> Not every compiler knows about the `inline` annotation for functions.
> Consequently, Git knows to define `inline` as an empty macro in case
> it's not available.

I thought `inline` was in C99, which would mean that it's been required
in C for over 26 years old—it's older than some of my colleagues.  What
compilers are people using in 2026 that don't know about `inline`?  Or
more importantly, what platforms are people using in 2026 that lack a
usable compiler with at least C99?
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA